commit 252a09528550bb10f925ee470ebc322a783fed4f
Author: Milan Horínek <horinek@milanfon.cz>
Date:   Thu Oct 19 09:15:02 2023 +0200

    Added I/O

diff --git a/workdir/Asociace/Assets/Scripts/Tools/Constants.cs b/workdir/Asociace/Assets/Scripts/Tools/Constants.cs
index 80b86d355..eb3f9a1e5 100644
--- a/workdir/Asociace/Assets/Scripts/Tools/Constants.cs
+++ b/workdir/Asociace/Assets/Scripts/Tools/Constants.cs
@@ -23,7 +23,7 @@ namespace Tools
         public const string DEFAULT_SERVER_TIME = "23.04.2021 13:47:16";
         public const string DEFAULT_USER_SETTINGS = "True;True;0.1;0.4;0;2";
         public const string DEFAULT_GENERAL_INFORMATION = "Ukázka nové šablony šablon!##true##true##0";
-        public const float DEFAULT_SUCCESS_RATE = 80f;
+        public const float DEFAULT_SUCCESS_RATE = 50f;
 
         // ----------------
         // --- TUTORIAL ---
diff --git a/workdir/Asociace/Assets/Scripts/_Template/InputData/TaskConfiguration.cs b/workdir/Asociace/Assets/Scripts/_Template/InputData/TaskConfiguration.cs
index 673fea60b..9bf3242cc 100644
--- a/workdir/Asociace/Assets/Scripts/_Template/InputData/TaskConfiguration.cs
+++ b/workdir/Asociace/Assets/Scripts/_Template/InputData/TaskConfiguration.cs
@@ -106,7 +106,7 @@ namespace Data.Input
             SettingsInConfiguration = false;
             TimeBarEnabled = true;
             SelectedTypeOfWorkWithRestOfTime = TypeOfWorkWithRestOfTime.TRANSFER;
-            SeedInConfiguration = false;
+            SeedInConfiguration = true;
             TotalNumOfHints = 0;
             ShowCorrectSolution = true;
 
diff --git a/workdir/Asociace/Assets/Scripts/_Template/OutputData/RoundResults.cs b/workdir/Asociace/Assets/Scripts/_Template/OutputData/RoundResults.cs
index 8069f0037..2dda3d572 100644
--- a/workdir/Asociace/Assets/Scripts/_Template/OutputData/RoundResults.cs
+++ b/workdir/Asociace/Assets/Scripts/_Template/OutputData/RoundResults.cs
@@ -125,15 +125,21 @@ namespace Data.Output
                 // Web application cannot handle empty parameters => use "null" or similar string instead of empty string.
                 return roundTime + Constants.MAIN_SEPARATOR +
                     playedTime + Constants.MAIN_SEPARATOR +
-                    Convert.ToInt32(finished) + Constants.MAIN_SEPARATOR +
-                    Convert.ToInt32(succesfully) + Constants.MAIN_SEPARATOR +
-                    correct + Constants.MAIN_SEPARATOR +
-                    incorrect + Constants.MAIN_SEPARATOR +
-                    (FinalClickId ?? Constants.NULL) + Constants.MAIN_SEPARATOR +
+                    successRate + Constants.MAIN_SEPARATOR +
                     Convert.ToInt32(helpUsed) + Constants.MAIN_SEPARATOR +
                     (helpClick ?? Constants.NULL) + Constants.MAIN_SEPARATOR +
                     Convert.ToInt32(roundSkipped) + Constants.MAIN_SEPARATOR +
-                    Constants.NULL + Constants.MAIN_SEPARATOR;
+                    (skipClick ?? Constants.NULL) + Constants.MAIN_SEPARATOR +
+                    JsonConvert.SerializeObject(coveringTaskScene) + Constants.MAIN_SEPARATOR +
+                    JsonConvert.SerializeObject(clickContainer) + Constants.MAIN_SEPARATOR +
+                    JsonConvert.SerializeObject(keystrokeContainer) + Constants.MAIN_SEPARATOR +
+                    Constants.NULL + Constants.MAIN_SEPARATOR +
+                    Constants.NULL + Constants.MAIN_SEPARATOR +
+                    Constants.NULL + Constants.MAIN_SEPARATOR +
+                    Constants.NULL + Constants.MAIN_SEPARATOR +
+                    Constants.NULL + Constants.MAIN_SEPARATOR +
+                    correct + Constants.MAIN_SEPARATOR +
+                    incorrect + Constants.MAIN_SEPARATOR;
             }
         }
     }
diff --git a/workdir/Asociace/Assets/Scripts/_Template/OutputData/TaskResults.cs b/workdir/Asociace/Assets/Scripts/_Template/OutputData/TaskResults.cs
index 221926e38..fbdbc7b72 100644
--- a/workdir/Asociace/Assets/Scripts/_Template/OutputData/TaskResults.cs
+++ b/workdir/Asociace/Assets/Scripts/_Template/OutputData/TaskResults.cs
@@ -121,9 +121,20 @@ namespace Data.Output
                     successRate + Constants.MAIN_SEPARATOR +
                     startTime + Constants.MAIN_SEPARATOR +
                     totalTime + Constants.MAIN_SEPARATOR +
+                    userRating + Constants.MAIN_SEPARATOR +
+                    Constants.NULL + Constants.MAIN_SEPARATOR + // Sem dodat seed
                     Locale.GetCode() + Constants.MAIN_SEPARATOR +
                     // Tady je ještě serializace komponent, ale ty se změnili
                     Task.Configuration.NumOfRounds + Constants.MAIN_SEPARATOR + 
+                    clickToEndTask + Constants.MAIN_SEPARATOR +
+                    transformChangesOfTaskScene + Constants.MAIN_SEPARATOR +
+                    fullScreenChanges + Constants.MAIN_SEPARATOR +
+                    narrowingChanges + Constants.MAIN_SEPARATOR +
+                    Constants.NULL + Constants.MAIN_SEPARATOR +
+                    Constants.NULL + Constants.MAIN_SEPARATOR +
+                    Constants.NULL + Constants.MAIN_SEPARATOR +
+                    Constants.NULL + Constants.MAIN_SEPARATOR +
+                    Constants.NULL + Constants.MAIN_SEPARATOR +
                     dataOfRounds;
             }
         }
diff --git a/workdir/Asociace/UserSettings/Layouts/default-2021.dwlt b/workdir/Asociace/UserSettings/Layouts/default-2021.dwlt
index 54838cbb6..c951caaef 100644
--- a/workdir/Asociace/UserSettings/Layouts/default-2021.dwlt
+++ b/workdir/Asociace/UserSettings/Layouts/default-2021.dwlt
@@ -14,12 +14,12 @@ MonoBehaviour:
   m_EditorClassIdentifier: 
   m_PixelRect:
     serializedVersion: 2
-    x: 1029
+    x: 1028
     y: 72
     width: 1028
     height: 1163
   m_ShowMode: 4
-  m_Title: Hierarchy
+  m_Title: Game
   m_RootView: {fileID: 2}
   m_MinSize: {x: 875, y: 300}
   m_MaxSize: {x: 10000, y: 10000}
@@ -119,7 +119,7 @@ MonoBehaviour:
   m_MinSize: {x: 300, y: 200}
   m_MaxSize: {x: 24288, y: 16192}
   vertical: 0
-  controlID: 66
+  controlID: 23
 --- !u!114 &6
 MonoBehaviour:
   m_ObjectHideFlags: 52
@@ -144,7 +144,7 @@ MonoBehaviour:
   m_MinSize: {x: 200, y: 200}
   m_MaxSize: {x: 16192, y: 16192}
   vertical: 1
-  controlID: 67
+  controlID: 24
 --- !u!114 &7
 MonoBehaviour:
   m_ObjectHideFlags: 52
@@ -169,7 +169,7 @@ MonoBehaviour:
   m_MinSize: {x: 200, y: 100}
   m_MaxSize: {x: 16192, y: 8096}
   vertical: 0
-  controlID: 68
+  controlID: 25
 --- !u!114 &8
 MonoBehaviour:
   m_ObjectHideFlags: 52
@@ -270,8 +270,8 @@ MonoBehaviour:
     y: 0
     width: 229
     height: 1113
-  m_MinSize: {x: 275, y: 50}
-  m_MaxSize: {x: 4000, y: 4000}
+  m_MinSize: {x: 276, y: 71}
+  m_MaxSize: {x: 4001, y: 4021}
   m_ActualView: {fileID: 18}
   m_Panes:
   - {fileID: 18}
@@ -297,7 +297,7 @@ MonoBehaviour:
     m_Tooltip: 
   m_Pos:
     serializedVersion: 2
-    x: 1195.5
+    x: 1194.5
     y: 102
     width: 630.5
     height: 637.5
@@ -389,7 +389,7 @@ MonoBehaviour:
     m_Tooltip: 
   m_Pos:
     serializedVersion: 2
-    x: 1029
+    x: 1028
     y: 102
     width: 165.5
     height: 637.5
@@ -402,7 +402,7 @@ MonoBehaviour:
       scrollPos: {x: 0, y: 0}
       m_SelectedIDs: 
       m_LastClickedID: 0
-      m_ExpandedIDs: 28e4ffff68e4ffff60e6ffff66e7ffff8ce9ffffaae9ffff7ef0ffffb8f1ffffc6f7ffff20620000fe630000
+      m_ExpandedIDs: 36fbffff
       m_RenameOverlay:
         m_UserAcceptedRename: 0
         m_Name: 
@@ -882,7 +882,7 @@ MonoBehaviour:
     m_Tooltip: 
   m_Pos:
     serializedVersion: 2
-    x: 1029
+    x: 1028
     y: 760.5
     width: 798
     height: 433.5
@@ -916,9 +916,9 @@ MonoBehaviour:
     m_IsLocked: 0
   m_FolderTreeState:
     scrollPos: {x: 0, y: 79}
-    m_SelectedIDs: 4a5c0000
-    m_LastClickedID: 23626
-    m_ExpandedIDs: 00000000145c0000165c0000185c00001a5c00001c5c00001e5c0000205c0000225c0000245c0000265c000000ca9a3bffffff7f
+    m_SelectedIDs: e85b0000
+    m_LastClickedID: 23528
+    m_ExpandedIDs: 00000000b25b0000b45b0000b65b0000b85b0000ba5b0000bc5b0000be5b0000c05b0000c25b0000c45b000000ca9a3bffffff7f
     m_RenameOverlay:
       m_UserAcceptedRename: 0
       m_Name: 
@@ -946,7 +946,7 @@ MonoBehaviour:
     scrollPos: {x: 0, y: 0}
     m_SelectedIDs: 
     m_LastClickedID: 0
-    m_ExpandedIDs: 00000000145c0000165c0000185c00001a5c00001c5c00001e5c0000205c0000225c0000245c0000265c0000
+    m_ExpandedIDs: 00000000b25b0000b45b0000b65b0000b85b0000ba5b0000bc5b0000be5b0000c05b0000c25b0000c45b0000
     m_RenameOverlay:
       m_UserAcceptedRename: 0
       m_Name: 
@@ -973,7 +973,7 @@ MonoBehaviour:
   m_ListAreaState:
     m_SelectedInstanceIDs: 
     m_LastClickedInstanceID: 0
-    m_HadKeyboardFocusLastEvent: 1
+    m_HadKeyboardFocusLastEvent: 0
     m_ExpandedInstanceIDs: c623000000000000
     m_RenameOverlay:
       m_UserAcceptedRename: 0
@@ -1022,7 +1022,7 @@ MonoBehaviour:
     m_Tooltip: 
   m_Pos:
     serializedVersion: 2
-    x: 1029
+    x: 1028
     y: 760.5
     width: 798
     height: 433.5
@@ -1050,7 +1050,7 @@ MonoBehaviour:
     m_Tooltip: 
   m_Pos:
     serializedVersion: 2
-    x: 1828
+    x: 1827
     y: 102
     width: 228
     height: 1092
